Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027019
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajoralways2014-07-04 17:462014-12-15 09:26
ReporterjecharriView Statuspublic 
Assigned Toszapata 
PriorityhighResolutionfixedFixed in VersionRR15Q1
StatusclosedFix in branchFixed in SCM revision19e544da3619
ProjectionnoneETAnoneTarget VersionRR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027019: In Q2 version cash ups and reconciliations are not being created properly

DescriptionIn Q2 version cash ups and reconciliations are not being created properly

I am not able to reproduce the problem but in Live or also in our clients is happening.

The situation is that on financial account has some transactions with different cash up id's in the orders, however the expected amount in the cash up is for all transactions instead of only for one cash up id. However, in the backend only the correct transactions are taken and the cash up transaction with all amount is created.
Steps To ReproduceLogin to the WebPOS
Do some sales
Clear cache
Run cashup

Verify, in the backend, that the sales before clearing cache miss a cashup
Proposed SolutionA new feature to synchronize the server cashup id and the client cashup id
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of feature request 0026974RR15Q1 closedOrekaria Retail Stabilization. Improved cashup stability - save it to the server 
duplicate of design defect 0026325RR15Q1 closedmarvintm After Q2 version it is possible to have transactions pending to be reconcilited 
related to defect 0027003 closedmarvintm Impossible to create an invoice from POS order 
related to defect 0026633RR14Q4 closedmalsasua The paymentmethodcashup and taxcashup tables are not being cleared after a cashup 
related to defect 0027766RR14Q4 closedmtaal Improve performance, add index to OBPOS_APP_CASH_RECONCIL table to prevent full table scans 
related to defect 0028181 closedmarvintm In the Web POS cashup report, Withdrawals are added instead of subtracted to the expected amount 
causes defect 0029153 closedOrekaria The totalReturns amount of the payment methods fails to be sent to the server 
causes defect 0030066 closedmarvintm duplicated invoices during the cashup process 
causes defect 0030658RR15Q4 closedmario_castello Wrong user in cash up 

-  Notes
(0070108)
hgbot (developer)
2014-09-12 18:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7134637f50705e964eaa59a1999311980b4b4797
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Aug 18 08:29:15 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7134637f50705e964eaa59a1999311980b4b4797 [^]

Fixed issue 27019: Cashup Synchronization

---
M src-db/database/model/tables/OBPOS_APP_CASHUP.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/ProcessCashMgmt.java
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/cashup.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
A src-db/database/model/modifiedTables/FIN_FINACC_TRANSACTION.xml
A src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
A src-db/database/model/tables/OBPOS_TAXCASHUP.xml
A src-db/database/sourcedata/OBUISEL_SELECTOR.xml
A src/org/openbravo/retail/posterminal/master/Cashup.java
---
(0070109)
hgbot (developer)
2014-09-12 18:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fa909b6b8a39a8794a645328eb37b2298b6f6e03
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed Sep 10 17:58:36 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa909b6b8a39a8794a645328eb37b2298b6f6e03 [^]

Fixed issue 27019: Cashup Synchronization. AD_COLUMN merged properly

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0070110)
hgbot (developer)
2014-09-12 18:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c967b8a77b3ce6bb0d02b83e685dea71c5b40387
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Sep 12 18:05:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c967b8a77b3ce6bb0d02b83e685dea71c5b40387 [^]

Fixed issue 27019: Cashup Synchronization. deleted unneeded parse

---
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0070111)
hgbot (developer)
2014-09-12 19:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 856a02e14efeef1ce16e4cc84b15b7027b41ce80
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Sep 12 19:54:07 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/856a02e14efeef1ce16e4cc84b15b7027b41ce80 [^]

Fixed issue 27019: Cashup Synchronization. Some code cleaning, pending to change supressed that can be fixed

---
M src/org/openbravo/retail/posterminal/master/Cashup.java
---
(0070143)
hgbot (developer)
2014-09-16 13:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 73ababb3c269ba0b114533d173273e698f52cd9c
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Tue Sep 16 13:07:55 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/73ababb3c269ba0b114533d173273e698f52cd9c [^]

Related to issue 27019: Added missing indexes for foreign keys in new cashup tables

---
M src-db/database/model/tables/OBPOS_APP_CASH_RECONCIL.xml
M src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
M src-db/database/model/tables/OBPOS_TAXCASHUP.xml
---
(0070154)
hgbot (developer)
2014-09-16 17:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5efc0644f042b8cbe5f2860710cb4dd7151965a6
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Tue Sep 16 17:58:58 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5efc0644f042b8cbe5f2860710cb4dd7151965a6 [^]

Related to issue 27019: SynchronizationHelper

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closecash.js
---
(0070181)
hgbot (developer)
2014-09-17 14:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 873f05e56838bc6c4c36a707c650525b54dba582
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed Sep 17 13:27:18 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/873f05e56838bc6c4c36a707c650525b54dba582 [^]

Fixed issue 27019: Cashup Synchronization. Deleted syncronization helpers temporary

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
---
(0070248)
hgbot (developer)
2014-09-22 18:24

Repository: tools/automation/pi-mobile
Changeset: f17600e7c06f55975c6f6e8cd2e72778267cf947
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Mon Sep 22 18:23:45 2014 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f17600e7c06f55975c6f6e8cd2e72778267cf947 [^]

Related to issue 27019: added more cashup tests:
- CashupRecoverLastCashup
- CashupWithDeposit
- CashupWithInitialAmount

---
M src-test/org/openbravo/retail/integrationtest/common/ui/IdTest.java
M src-test/org/openbravo/retail/integrationtest/tests/general/cashup/RetailGeneralCashupSuite.java
A src-test/org/openbravo/retail/integrationtest/tests/general/cashup/CashupRecoverLastCashup.java
A src-test/org/openbravo/retail/integrationtest/tests/general/cashup/CashupWithDeposit.java
A src-test/org/openbravo/retail/integrationtest/tests/general/cashup/CashupWithInitialAmount.java
---
(0070257)
hgbot (developer)
2014-09-23 06:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fd524cdec3236ed0d73dbfe7b91a1979d19260a6
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Tue Sep 23 01:58:36 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fd524cdec3236ed0d73dbfe7b91a1979d19260a6 [^]

Fixed issue 27019: Cashup Synchronization. Synchronization enhancements

---
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/paymentmethodcashup.js
M web/org.openbravo.retail.posterminal/js/model/taxcashup.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0070258)
hgbot (developer)
2014-09-23 07:01

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 13a85623247544db988da4acb1974a4e7da06cbc
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Tue Sep 23 02:00:33 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/13a85623247544db988da4acb1974a4e7da06cbc [^]

Fixed issue 27019: Cashup Synchronization. Changed log level in Synchronization process

---
M src/org/openbravo/mobile/core/process/DataSynchronizationProcess.java
---
(0070331)
hgbot (developer)
2014-09-24 20:56

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d8ed3ec562eb3631dfe5290becd0f170079def6b
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 20:55:49 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d8ed3ec562eb3631dfe5290becd0f170079def6b [^]

Related to issue 27019: The error message will not be shown to the user because...
... in offline mode it will repetedly be shown to the user and will not be a real error
- still, a warning is shown in the console and loged in the LogClient for better support analysis
- the error is left commented because further improvements are expected in this essential process

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070332)
hgbot (developer)
2014-09-24 21:09

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c93a8f3d5afd669d92254453b82d5ac1dc51a5ff
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 21:08:47 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c93a8f3d5afd669d92254453b82d5ac1dc51a5ff [^]

Related to issue 27019: Removed console.error message that was only intended for internal debugging

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070333)
hgbot (developer)
2014-09-24 21:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8152480795b5f8cdae51f452660ab4558283ecec
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 21:30:40 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8152480795b5f8cdae51f452660ab4558283ecec [^]

Related to issue 27019: Added messages to the SynchronizationHelper.finished calls for better unbalanced analysis

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closecash.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070337)
hgbot (developer)
2014-09-24 23:46

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 56b7912660ef87c17b45d704e2331bf53eb3005e
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Wed Sep 24 23:46:37 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/56b7912660ef87c17b45d704e2331bf53eb3005e [^]

Related to issue 27019: The SynchronizationHelper logic has been removed from the 'runSyncProcess' method because...
- this method needs a revisit (along with its counterpart 'loadmodels')
This removal can lead to errors in the cashup test cases with the new improvements introduced by this issue's changesets

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0070471)
hgbot (developer)
2014-09-28 05:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c82954a3ffb3260c17ba30542e8a401f49d0400d
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Sat Sep 27 18:02:32 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c82954a3ffb3260c17ba30542e8a401f49d0400d [^]

Fixed issue 27019: Cashup Synchronization. Code Review applied and some issues fixed. Database artifacts

---
M src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0070472)
hgbot (developer)
2014-09-28 05:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9c478e62226a7308be05756fcb735f3a1a4142c2
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Sat Sep 27 03:54:41 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c478e62226a7308be05756fcb735f3a1a4142c2 [^]

Fixed issue 27019: Cashup Synchronization. Code Review applied and some issues fixed

---
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/master/Cashup.java
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/paymentmethodcashup.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0070473)
hgbot (developer)
2014-09-28 05:37

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 090675e1975eb10dd7f9f7c6fd5795be4331e917
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Sun Sep 28 00:35:25 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/090675e1975eb10dd7f9f7c6fd5795be4331e917 [^]

Fixed issue 27019: Cashup Synchronization. Code Review applied and cash management issue fixed. Now no cash managements events are specified in the cashup

---
M src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/master/Cashup.java
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/listdepositsdrops.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0070596)
hgbot (developer)
2014-10-01 07:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 922fba131f352df12fa84f7f94375930601fe6c4
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Tue Sep 30 18:24:40 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/922fba131f352df12fa84f7f94375930601fe6c4 [^]

Backout issue 27019

---
M src-db/database/model/tables/OBPOS_APP_CASHUP.xml
M src-db/database/model/tables/OBPOS_APP_CASH_RECONCIL.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/ProcessCashMgmt.java
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/listdepositsdrops.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/cashup.js
M web/org.openbravo.retail.posterminal/js/model/paymentmethodcashup.js
M web/org.openbravo.retail.posterminal/js/model/taxcashup.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
R src-db/database/model/modifiedTables/FIN_FINACC_TRANSACTION.xml
R src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
R src-db/database/model/tables/OBPOS_TAXCASHUP.xml
R src-db/database/sourcedata/OBUISEL_SELECTOR.xml
R src/org/openbravo/retail/posterminal/master/Cashup.java
---
(0070597)
hgbot (developer)
2014-10-01 07:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 70e6e91d62d0fd72bd94fb9c29147fda450cf08e
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Wed Oct 01 02:52:10 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/70e6e91d62d0fd72bd94fb9c29147fda450cf08e [^]

Backout issue 27019

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0071506)
hgbot (developer)
2014-11-08 03:18

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 195fc620eeb2fcb3b44ba1bb1540ea43ecabe330
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Nov 07 23:10:58 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/195fc620eeb2fcb3b44ba1bb1540ea43ecabe330 [^]

Fixed issue 27019: Cashup Syncronization. Automated test ready. Fixed issue 26974

---
M src-db/database/model/tables/OBPOS_APP_CASHUP.xml
M src-db/database/model/tables/OBPOS_APP_CASH_RECONCIL.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/retail/posterminal/CashCloseProcessor.java
M src/org/openbravo/retail/posterminal/ProcessCashClose.java
M src/org/openbravo/retail/posterminal/ProcessCashMgmt.java
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/listdepositsdrops.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/model/cashup.js
M web/org.openbravo.retail.posterminal/js/model/paymentmethodcashup.js
M web/org.openbravo.retail.posterminal/js/model/taxcashup.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
A src-db/database/model/modifiedTables/FIN_FINACC_TRANSACTION.xml
A src-db/database/model/tables/OBPOS_PAYMENTMETHODCASHUP.xml
A src-db/database/model/tables/OBPOS_TAXCASHUP.xml
A src-db/database/sourcedata/OBUISEL_SELECTOR.xml
A src/org/openbravo/retail/posterminal/master/Cashup.java
---
(0071531)
hgbot (developer)
2014-11-10 15:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9c09a0a47a0b20a1a1d747b8a6acfd201c6c6ea0
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Nov 10 11:12:36 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c09a0a47a0b20a1a1d747b8a6acfd201c6c6ea0 [^]

Fixed issue 27019: Revert index deletion

---
M src-db/database/model/tables/OBPOS_APP_CASH_RECONCIL.xml
---
(0071656)
hgbot (developer)
2014-11-14 14:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d627e5127befc327dda59007fbbe814ac8adf876
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Nov 14 10:01:05 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d627e5127befc327dda59007fbbe814ac8adf876 [^]

fixed issue 27019: Cashup Synchronization - Inactive payment methods should not be token into account if no have no transactions

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0072152)
hgbot (developer)
2014-11-29 03:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 857acffa652caf2bb8c58747b108cf0db6d504da
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Fri Nov 28 23:41:38 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/857acffa652caf2bb8c58747b108cf0db6d504da [^]

Fixed issue 27019: Cashup Sync. Fixed Window aspect

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0072271)
hgbot (developer)
2014-12-04 06:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 19e544da36194c26547c8eedf1f5cf7d2372ac11
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Thu Dec 04 02:00:03 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/19e544da36194c26547c8eedf1f5cf7d2372ac11 [^]

Fixed issue 27019: Fixed grid view in cashup tabs

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0072487)
mtaal (manager)
2014-12-15 09:26

Last changes are only adding fields to the grid, good change

- Issue History
Date Modified Username Field Change
2014-07-04 17:46 jecharri New Issue
2014-07-04 17:46 jecharri Assigned To => marvintm
2014-07-04 17:46 jecharri Regression level => Production - QA Approved
2014-07-04 17:46 jecharri Triggers an Emergency Pack => No
2014-07-08 13:42 Orekaria Relationship added related to 0027003
2014-07-10 10:08 Orekaria Relationship added related to 0026633
2014-07-10 10:16 Orekaria Regression level Production - QA Approved =>
2014-07-10 10:16 Orekaria Priority immediate => high
2014-07-10 10:16 Orekaria Severity critical => major
2014-07-10 10:16 Orekaria Type defect => design defect
2014-07-10 10:16 Orekaria Target Version => RR14Q4
2014-07-10 10:16 Orekaria Steps to Reproduce Updated View Revisions
2014-07-10 10:16 Orekaria Proposed Solution updated
2014-07-17 17:30 dmitry_mezentsev Relationship added duplicate of 0026974
2014-07-21 12:30 adrianromero Relationship added duplicate of 0026325
2014-08-20 03:23 eintelau Issue Monitored: eintelau
2014-09-12 18:15 hgbot Checkin
2014-09-12 18:15 hgbot Note Added: 0070108
2014-09-12 18:15 hgbot Status new => resolved
2014-09-12 18:15 hgbot Resolution open => fixed
2014-09-12 18:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7134637f50705e964eaa59a1999311980b4b4797 [^]
2014-09-12 18:15 hgbot Checkin
2014-09-12 18:15 hgbot Note Added: 0070109
2014-09-12 18:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7134637f50705e964eaa59a1999311980b4b4797 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa909b6b8a39a8794a645328eb37b2298b6f6e03 [^]
2014-09-12 18:15 hgbot Checkin
2014-09-12 18:15 hgbot Note Added: 0070110
2014-09-12 18:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fa909b6b8a39a8794a645328eb37b2298b6f6e03 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c967b8a77b3ce6bb0d02b83e685dea71c5b40387 [^]
2014-09-12 19:54 hgbot Checkin
2014-09-12 19:54 hgbot Note Added: 0070111
2014-09-12 19:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c967b8a77b3ce6bb0d02b83e685dea71c5b40387 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/856a02e14efeef1ce16e4cc84b15b7027b41ce80 [^]
2014-09-16 13:08 hgbot Checkin
2014-09-16 13:08 hgbot Note Added: 0070143
2014-09-16 17:59 hgbot Checkin
2014-09-16 17:59 hgbot Note Added: 0070154
2014-09-17 11:27 Orekaria Status resolved => new
2014-09-17 11:27 Orekaria Resolution fixed => open
2014-09-17 11:27 Orekaria Assigned To marvintm => Orekaria
2014-09-17 14:40 hgbot Checkin
2014-09-17 14:40 hgbot Note Added: 0070181
2014-09-17 14:40 hgbot Status new => resolved
2014-09-17 14:40 hgbot Resolution open => fixed
2014-09-17 14:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/856a02e14efeef1ce16e4cc84b15b7027b41ce80 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/873f05e56838bc6c4c36a707c650525b54dba582 [^]
2014-09-22 18:24 hgbot Checkin
2014-09-22 18:24 hgbot Note Added: 0070248
2014-09-23 06:59 hgbot Checkin
2014-09-23 06:59 hgbot Note Added: 0070257
2014-09-23 06:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/873f05e56838bc6c4c36a707c650525b54dba582 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fd524cdec3236ed0d73dbfe7b91a1979d19260a6 [^]
2014-09-23 07:01 hgbot Checkin
2014-09-23 07:01 hgbot Note Added: 0070258
2014-09-23 07:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fd524cdec3236ed0d73dbfe7b91a1979d19260a6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/13a85623247544db988da4acb1974a4e7da06cbc [^]
2014-09-24 20:56 hgbot Checkin
2014-09-24 20:56 hgbot Note Added: 0070331
2014-09-24 21:09 hgbot Checkin
2014-09-24 21:09 hgbot Note Added: 0070332
2014-09-24 21:30 hgbot Checkin
2014-09-24 21:30 hgbot Note Added: 0070333
2014-09-24 23:46 hgbot Checkin
2014-09-24 23:46 hgbot Note Added: 0070337
2014-09-28 05:37 hgbot Checkin
2014-09-28 05:37 hgbot Note Added: 0070471
2014-09-28 05:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/13a85623247544db988da4acb1974a4e7da06cbc [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c82954a3ffb3260c17ba30542e8a401f49d0400d [^]
2014-09-28 05:37 hgbot Checkin
2014-09-28 05:37 hgbot Note Added: 0070472
2014-09-28 05:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c82954a3ffb3260c17ba30542e8a401f49d0400d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c478e62226a7308be05756fcb735f3a1a4142c2 [^]
2014-09-28 05:37 hgbot Checkin
2014-09-28 05:37 hgbot Note Added: 0070473
2014-09-28 05:37 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c478e62226a7308be05756fcb735f3a1a4142c2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/090675e1975eb10dd7f9f7c6fd5795be4331e917 [^]
2014-10-01 07:53 hgbot Checkin
2014-10-01 07:53 hgbot Note Added: 0070596
2014-10-01 07:53 hgbot Checkin
2014-10-01 07:53 hgbot Note Added: 0070597
2014-10-01 18:23 marvintm Assigned To Orekaria => szapata
2014-10-01 18:23 marvintm Status resolved => new
2014-10-01 18:23 marvintm Resolution fixed => open
2014-10-01 18:23 marvintm Target Version RR14Q4 => RR15Q1
2014-10-05 23:41 mtaal Relationship added related to 0027766
2014-11-08 03:18 hgbot Checkin
2014-11-08 03:18 hgbot Note Added: 0071506
2014-11-08 03:18 hgbot Status new => resolved
2014-11-08 03:18 hgbot Resolution open => fixed
2014-11-08 03:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/090675e1975eb10dd7f9f7c6fd5795be4331e917 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/195fc620eeb2fcb3b44ba1bb1540ea43ecabe330 [^]
2014-11-10 15:13 hgbot Checkin
2014-11-10 15:13 hgbot Note Added: 0071531
2014-11-10 15:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/195fc620eeb2fcb3b44ba1bb1540ea43ecabe330 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c09a0a47a0b20a1a1d747b8a6acfd201c6c6ea0 [^]
2014-11-14 14:01 hgbot Checkin
2014-11-14 14:01 hgbot Note Added: 0071656
2014-11-14 14:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c09a0a47a0b20a1a1d747b8a6acfd201c6c6ea0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d627e5127befc327dda59007fbbe814ac8adf876 [^]
2014-11-17 13:08 adrianromero Relationship added related to 0028181
2014-11-18 18:40 marvintm Review Assigned To => marvintm
2014-11-18 18:40 marvintm Status resolved => closed
2014-11-18 18:40 marvintm Fixed in Version => RR15Q1
2014-11-29 03:42 hgbot Checkin
2014-11-29 03:42 hgbot Note Added: 0072152
2014-11-29 03:42 hgbot Status closed => resolved
2014-11-29 03:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d627e5127befc327dda59007fbbe814ac8adf876 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/857acffa652caf2bb8c58747b108cf0db6d504da [^]
2014-12-04 06:01 hgbot Checkin
2014-12-04 06:01 hgbot Note Added: 0072271
2014-12-04 06:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/857acffa652caf2bb8c58747b108cf0db6d504da [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/19e544da36194c26547c8eedf1f5cf7d2372ac11 [^]
2014-12-15 09:26 mtaal Note Added: 0072487
2014-12-15 09:26 mtaal Status resolved => closed
2015-03-06 17:27 Orekaria Relationship added causes 0029153
2015-06-10 12:48 dmitry_mezentsev Relationship added causes 0030066
2015-09-11 23:26 Orekaria Relationship added causes 0030658


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker